------------------------------------------------------------------------------------
--Name:  	shenhou5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-04-01
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(195, 186)
CppScriptMgr:SetViewScale(300)
local effect_0 = CppScriptMgr:AddEffect("LY_Loop", 193, 184, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100750, 198, 191, "MonkeyKongkong", 0, 0)
npc_0:SetDir(3)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(200, 189)
player_0:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetActType(101)
CppScriptMgr:WaitMilSec(1000)
npc_0:Say("This wind appears chaotic, but hides profound mysteries.", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("The Xun position spawns vortexes. Kun palace conceals malice.", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("Just destroy the array`s center to reverse the destiny!", 1500)
CppScriptMgr:WaitMilSec(1500)
player_0:Say("Do you know where the array center is?", 1500)
CppScriptMgr:WaitMilSec(1000)
npc_0:Say("Follow me closely!", 1500)
CppScriptMgr:WaitMilSec(2500)